<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.7.10.48
Name: allergie concern act
Description: Template voor de weergave van allergieën
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.7.10.48-2018-02-10T000000">
   <title>allergie concern act</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.7.10.48
Context: *[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48']]]
Item: (allergie_concern_act)
-->

   <rule context="*[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48']]]"
         id="d13e27103-false-d217959e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.48-2018-02-10T000000.html"
              test="count(hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48']])&gt;=1">(allergie_concern_act): element hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.48-2018-02-10T000000.html"
              test="count(hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48']])&lt;=1">(allergie_concern_act): element hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.7.10.48
Context: *[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48']]]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48']]
Item: (allergie_concern_act)
-->

   <rule context="*[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48']]]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48']]"
         id="d13e27134-false-d218035e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.48-2018-02-10T000000.html"
              test="string(@classCode)=('ACT')">(allergie_concern_act): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.48-2018-02-10T000000.html"
              test="string(@moodCode)=('EVN')">(allergie_concern_act): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.48-2018-02-10T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48'])&gt;=1">(allergie_concern_act): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.48-2018-02-10T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48'])&lt;=1">(allergie_concern_act): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.48-2018-02-10T000000.html"
              test="count(hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')])&gt;=1">(allergie_concern_act): element hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.48-2018-02-10T000000.html"
              test="count(hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')])&lt;=1">(allergie_concern_act): element hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.48-2018-02-10T000000.html"
              test="count(hl7:statusCode)&lt;=1">(allergie_concern_act): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.48-2018-02-10T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(allergie_concern_act): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.48-2018-02-10T000000.html"
              test="count(hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.5']]])&gt;=1">(allergie_concern_act): element hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.5']]] is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.7.10.48
Context: *[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48']]]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48']
Item: (allergie_concern_act)
-->

   <rule context="*[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48']]]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48']"
         id="d13e27152-false-d218130e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.48-2018-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(allergie_concern_act): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.48-2018-02-10T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.7.10.48')">(allergie_concern_act): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.7.10.48' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.7.10.48
Context: *[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48']]]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48']]/hl7:id
Item: (allergie_concern_act)
-->

   <rule context="*[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48']]]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48']]/hl7:id"
         id="d13e27165-false-d218146e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.48-2018-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(allergie_concern_act): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.7.10.48
Context: *[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48']]]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48']]/hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]
Item: (allergie_concern_act)
-->

   <rule context="*[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48']]]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48']]/hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]"
         id="d13e27173-false-d218158e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.48-2018-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(allergie_concern_act): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.48-2018-02-10T000000.html"
              test="@nullFlavor or (@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')">(allergie_concern_act): de elementwaarde MOET een zijn van 'code 'CONC' codeSystem '2.16.840.1.113883.5.6''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.7.10.48
Context: *[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48']]]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48']]/hl7:statusCode
Item: (allergie_concern_act)
-->

   <rule context="*[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48']]]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48']]/hl7:statusCode"
         id="d13e27183-false-d218176e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.48-2018-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(allergie_concern_act): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.7.10.48
Context: *[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48']]]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48']]/hl7:effectiveTime
Item: (allergie_concern_act)
-->

   <rule context="*[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48']]]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48']]/hl7:effectiveTime"
         id="d13e27193-false-d218188e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.48-2018-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(allergie_concern_act): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.48-2018-02-10T000000.html"
              test="@low">(allergie_concern_act): attribute @low MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.48-2018-02-10T000000.html"
              test="@high">(allergie_concern_act): attribute @high MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.7.10.48
Context: *[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48']]]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48']]/hl7:author
Item: (allergie_concern_act)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.7.10.48
Context: *[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48']]]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.5']]]
Item: (allergie_concern_act)
-->
   <rule context="*[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48']]]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.48']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.5']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.48-2018-02-10T000000.html"
              test="string(@typeCode)=('SUBJ')">(allergie_concern_act): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>
</pattern>
