<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.3.6.1.4.1.19376.1.3.1.5
Name: Laboratory Isolate Organizer
Description: The Laboratory Isolate Organizer SHALL be used only if the entry represents a microbiology specimen study with isolates discovered on the specimen. The isolate is represented by the Isolate role played by the Isolate entity. The isolate identification is carried by the code attribute of the Isolate entity.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000">
   <title>Laboratory Isolate Organizer</title>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.5
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]
Item: (LaboratoryIsolateOrganizer)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.5
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]
Item: (LaboratoryIsolateOrganizer)
-->

   <rule context="*[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]"
         id="d13e553-false-d2477e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="string(@classCode)=('CLUSTER')">(LaboratoryIsolateOrganizer): de waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="string(@moodCode)=('EVN')">(LaboratoryIsolateOrganizer): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="hl7:component">(LaboratoryIsolateOrganizer): SpecimenObservationCluster _Organizer SHALL contain at least one of Battery, Observation, Multimedia or Annotation comment.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5'])&gt;=1">(LaboratoryIsolateOrganizer): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5'])&lt;=1">(LaboratoryIsolateOrganizer): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="count(hl7:id)&lt;=1">(LaboratoryIsolateOrganizer): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="count(hl7:code)&lt;=1">(LaboratoryIsolateOrganizer): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="count(hl7:statusCode[@code = 'completed' or @code = 'active' or @code = 'aborted'])&gt;=1">(LaboratoryIsolateOrganizer): element hl7:statusCode[@code = 'completed' or @code = 'active' or @code = 'aborted'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="count(hl7:statusCode[@code = 'completed' or @code = 'active' or @code = 'aborted'])&lt;=1">(LaboratoryIsolateOrganizer): element hl7:statusCode[@code = 'completed' or @code = 'active' or @code = 'aborted'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(LaboratoryIsolateOrganizer): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:subject[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.2.1']] | hl7:subject[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3.1']])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="$elmcount&lt;=1">(LaboratoryIsolateOrganizer): keuze (hl7:subject[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.2.1']]  of  hl7:subject[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3.1']]) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="count(hl7:subject[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.2.1']])&lt;=1">(LaboratoryIsolateOrganizer): element hl7:subject[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.2.1']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="count(hl7:subject[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3.1']])&lt;=1">(LaboratoryIsolateOrganizer): element hl7:subject[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3.1']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="count(hl7:specimen)&gt;=1">(LaboratoryIsolateOrganizer): element hl7:specimen is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="count(hl7:specimen)&lt;=1">(LaboratoryIsolateOrganizer): element hl7:specimen komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.5
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']
Item: (LaboratoryIsolateOrganizer)
-->

   <rule context="*[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']"
         id="d13e559-false-d2657e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LaboratoryIsolateOrganizer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="string(@root)=('1.3.6.1.4.1.19376.1.3.1.5')">(LaboratoryIsolateOrganizer): de waarde van @root MOET '1.3.6.1.4.1.19376.1.3.1.5' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.5
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:id
Item: (LaboratoryIsolateOrganizer)
-->

   <rule context="*[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:id"
         id="d13e564-false-d2673e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LaboratoryIsolateOrganizer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.5
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:code
Item: (LaboratoryIsolateOrganizer)
-->

   <rule context="*[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:code"
         id="d13e573-false-d2685e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LaboratoryIsolateOrganizer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.5
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:statusCode[@code = 'completed' or @code = 'active' or @code = 'aborted']
Item: (LaboratoryIsolateOrganizer)
-->

   <rule context="*[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:statusCode[@code = 'completed' or @code = 'active' or @code = 'aborted']"
         id="d13e583-false-d2697e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LaboratoryIsolateOrganizer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="@nullFlavor or (@code='completed') or (@code='active') or (@code='aborted')">(LaboratoryIsolateOrganizer): de elementwaarde MOET een zijn van 'code 'completed' of code 'active' of code 'aborted''.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.5
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:effectiveTime
Item: (LaboratoryIsolateOrganizer)
-->

   <rule context="*[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:effectiveTime"
         id="d13e599-false-d2721e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LaboratoryIsolateOrganizer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="not(*)">(LaboratoryIsolateOrganizer): <value-of select="local-name()"/> met datatype TS, MAG GEEN elementen bevatten.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.5
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:subject[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.2.1']]
Item: (LaboratoryIsolateOrganizer)
-->
   <rule context="*[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:subject[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.2.1']]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="string(@typeCode)=('SBJ') or not(@typeCode)">(LaboratoryIsolateOrganizer): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.5
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:subject[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3.1']]
Item: (LaboratoryIsolateOrganizer)
-->
   <rule context="*[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:subject[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.3.1']]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="string(@typeCode)=('SBJ') or not(@typeCode)">(LaboratoryIsolateOrganizer): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.5
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:specimen
Item: (LaboratoryIsolateOrganizer)
-->

   <rule context="*[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:specimen"
         id="d13e624-false-d2778e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="string(@typeCode)=('SPC') or not(@typeCode)">(LaboratoryIsolateOrganizer): de waarde van @typeCode MOET 'SPC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="count(hl7:specimenRole)&gt;=1">(LaboratoryIsolateOrganizer): element hl7:specimenRole is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="count(hl7:specimenRole)&lt;=1">(LaboratoryIsolateOrganizer): element hl7:specimenRole komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.5
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:specimen/hl7:specimenRole
Item: (LaboratoryIsolateOrganizer)
-->

   <rule context="*[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:specimen/hl7:specimenRole"
         id="d13e631-false-d2801e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="string(@classCode)=('SPEC') or not(@classCode)">(LaboratoryIsolateOrganizer): de waarde van @classCode MOET 'SPEC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="count(hl7:id)&lt;=1">(LaboratoryIsolateOrganizer): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="count(hl7:specimenPlayingEntity[@classCode = 'MIC'])&gt;=1">(LaboratoryIsolateOrganizer): element hl7:specimenPlayingEntity[@classCode = 'MIC'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="count(hl7:specimenPlayingEntity[@classCode = 'MIC'])&lt;=1">(LaboratoryIsolateOrganizer): element hl7:specimenPlayingEntity[@classCode = 'MIC'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.5
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:specimen/hl7:specimenRole/hl7:id
Item: (LaboratoryIsolateOrganizer)
-->

   <rule context="*[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:specimen/hl7:specimenRole/hl7:id"
         id="d13e635-false-d2831e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LaboratoryIsolateOrganizer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.5
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity[@classCode = 'MIC']
Item: (LaboratoryIsolateOrganizer)
-->

   <rule context="*[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity[@classCode = 'MIC']"
         id="d13e641-false-d2843e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="string(@classCode)=('MIC')">(LaboratoryIsolateOrganizer): de waarde van @classCode MOET 'MIC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="count(hl7:code)&gt;=1">(LaboratoryIsolateOrganizer): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="count(hl7:code)&lt;=1">(LaboratoryIsolateOrganizer): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.5
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity[@classCode = 'MIC']/hl7:code
Item: (LaboratoryIsolateOrganizer)
-->

   <rule context="*[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity[@classCode = 'MIC']/hl7:code"
         id="d13e648-false-d2866e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LaboratoryIsolateOrganizer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.5
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:performer[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.1.7']]
Item: (LaboratoryIsolateOrganizer)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.5
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:author
Item: (LaboratoryIsolateOrganizer)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.10.9.17
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:author
Item: (IHEAuthorWithNameAddrTelecom)
-->
   <rule context="*[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:author">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.10.9.17-2016-07-05T000000.html"
              test="string(@typeCode)=('AUT') or not(@typeCode)">(IHEAuthorWithNameAddrTelecom): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.10.9.17-2016-07-05T000000.html"
              test="count(hl7:time)&gt;=1">(IHEAuthorWithNameAddrTelecom): element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.10.9.17-2016-07-05T000000.html"
              test="count(hl7:time)&lt;=1">(IHEAuthorWithNameAddrTelecom): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.10.9.17-2016-07-05T000000.html"
              test="count(hl7:assignedAuthor)&gt;=1">(IHEAuthorWithNameAddrTelecom): element hl7:assignedAuthor is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.10.9.17-2016-07-05T000000.html"
              test="count(hl7:assignedAuthor)&lt;=1">(IHEAuthorWithNameAddrTelecom): element hl7:assignedAuthor komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.10.9.17
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:author/hl7:time
Item: (IHEAuthorWithNameAddrTelecom)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.10.9.17
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:author/hl7:assignedAuthor
Item: (IHEAuthorWithNameAddrTelecom)
-->
   <rule context="*[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:author/hl7:assignedAuthor">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.10.9.17-2016-07-05T000000.html"
              test="count(hl7:id)&gt;=1">(IHEAuthorWithNameAddrTelecom): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.10.9.17-2016-07-05T000000.html"
              test="count(hl7:addr)&gt;=1">(IHEAuthorWithNameAddrTelecom): element hl7:addr is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.10.9.17-2016-07-05T000000.html"
              test="count(hl7:telecom)&gt;=1">(IHEAuthorWithNameAddrTelecom): element hl7:telecom is required [min 1x].</assert>
      <let name="elmcount"
           value="count(hl7:assignedPerson | hl7:assignedAuthoringDevice)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.10.9.17-2016-07-05T000000.html"
              test="$elmcount&lt;=1">(IHEAuthorWithNameAddrTelecom): keuze (hl7:assignedPerson  of  hl7:assignedAuthoringDevice) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.10.9.17-2016-07-05T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(IHEAuthorWithNameAddrTelecom): element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.10.9.17
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:author/hl7:assignedAuthor/hl7:id
Item: (IHEAuthorWithNameAddrTelecom)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.10.9.17
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:author/hl7:assignedAuthor/hl7:addr
Item: (IHEAuthorWithNameAddrTelecom)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.10.9.17
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:author/hl7:assignedAuthor/hl7:telecom
Item: (IHEAuthorWithNameAddrTelecom)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.10.9.17
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (IHEAuthorWithNameAddrTelecom)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.10.9.18
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (IHEPlayingEntityWithName)
-->
   <rule context="*[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.10.9.18-2016-07-05T000000.html"
              test="count(hl7:name)&gt;=1">(IHEPlayingEntityWithName): element hl7:name is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.10.9.18
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (IHEPlayingEntityWithName)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.10.9.17
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice
Item: (IHEAuthorWithNameAddrTelecom)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.10.9.19
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice
Item: (IHEDevice)
-->
   <rule context="*[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.10.9.19-2016-07-05T000000.html"
              test="count(hl7:softwareName)&gt;=1">(IHEDevice): element hl7:softwareName is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.10.9.19-2016-07-05T000000.html"
              test="count(hl7:softwareName)&lt;=1">(IHEDevice): element hl7:softwareName komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.10.9.19
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:softwareName
Item: (IHEDevice)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.10.9.17
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (IHEAuthorWithNameAddrTelecom)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.10.9.13
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (IHEOrganizationWithNameAddrTelecom)
-->
   <rule context="*[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.10.9.13-2016-07-05T000000.html"
              test="count(hl7:name)&gt;=1">(IHEOrganizationWithNameAddrTelecom): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.10.9.13-2016-07-05T000000.html"
              test="count(hl7:telecom)&gt;=1">(IHEOrganizationWithNameAddrTelecom): element hl7:telecom is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.10.9.13-2016-07-05T000000.html"
              test="count(hl7:addr)&gt;=1">(IHEOrganizationWithNameAddrTelecom): element hl7:addr is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.10.9.13-2016-07-05T000000.html"
              test="count(hl7:asOrganizationPartOf)&lt;=1">(IHEOrganizationWithNameAddrTelecom): element hl7:asOrganizationPartOf komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.10.9.13
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name
Item: (IHEOrganizationWithNameAddrTelecom)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.10.9.13
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (IHEOrganizationWithNameAddrTelecom)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.10.9.13
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (IHEOrganizationWithNameAddrTelecom)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.10.9.13
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf
Item: (IHEOrganizationWithNameAddrTelecom)
-->
   <rule context="*[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.10.9.13-2016-07-05T000000.html"
              test="count(hl7:wholeOrganization)&lt;=1">(IHEOrganizationWithNameAddrTelecom): element hl7:wholeOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.10.9.13
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization
Item: (IHEOrganizationWithNameAddrTelecom)
-->
   <rule context="*[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.10.9.13-2016-07-05T000000.html"
              test="count(hl7:name)&gt;=1">(IHEOrganizationWithNameAddrTelecom): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.10.9.13-2016-07-05T000000.html"
              test="count(hl7:telecom)&gt;=1">(IHEOrganizationWithNameAddrTelecom): element hl7:telecom is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.10.9.13-2016-07-05T000000.html"
              test="count(hl7:addr)&gt;=1">(IHEOrganizationWithNameAddrTelecom): element hl7:addr is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.10.9.13
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:name
Item: (IHEOrganizationWithNameAddrTelecom)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.10.9.13
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:telecom
Item: (IHEOrganizationWithNameAddrTelecom)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.10.9.13
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:addr
Item: (IHEOrganizationWithNameAddrTelecom)
-->
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.5
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:participant[@typeCode='AUTHEN']
Item: (LaboratoryIsolateOrganizer)
-->

   <rule context="*[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:participant[@typeCode='AUTHEN']"
         id="d13e670-false-d3299e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="string(@typeCode)=('AUTHEN')">(LaboratoryIsolateOrganizer): de waarde van @typeCode MOET 'AUTHEN' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.5
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:participant[@typeCode='RESP']
Item: (LaboratoryIsolateOrganizer)
-->

   <rule context="*[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:participant[@typeCode='RESP']"
         id="d13e684-false-d3310e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="string(@typeCode)=('RESP')">(LaboratoryIsolateOrganizer): de waarde van @typeCode MOET 'RESP' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.5
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:participant[@typeCode='DEV']
Item: (LaboratoryIsolateOrganizer)
-->

   <rule context="*[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:participant[@typeCode='DEV']"
         id="d13e698-false-d3321e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="string(@typeCode)=('DEV')">(LaboratoryIsolateOrganizer): de waarde van @typeCode MOET 'DEV' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.5
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:component[hl7:organizer[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.4']]]
Item: (LaboratoryIsolateOrganizer)
-->
   <rule context="*[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:component[hl7:organizer[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.4']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(LaboratoryIsolateOrganizer): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.5
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:component[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]
Item: (LaboratoryIsolateOrganizer)
-->
   <rule context="*[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:component[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.6']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(LaboratoryIsolateOrganizer): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.5
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:component
Item: (LaboratoryIsolateOrganizer)
-->

   <rule context="*[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:component"
         id="d13e722-false-d3418e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(LaboratoryIsolateOrganizer): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.10.9.2
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:component/hl7:observationMedia[@classCode = 'OBS'][@moodCode = 'EVN']
Item: (Multimediaembeddedcontent)
-->

   <rule context="*[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:component/hl7:observationMedia[@classCode = 'OBS'][@moodCode = 'EVN']"
         id="d3435e44-false-d3443e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.10.9.2-2008-08-08T000000.html"
              test="string(@classCode)=('OBS')">(Multimediaembeddedcontent): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.10.9.2-2008-08-08T000000.html"
              test="string(@moodCode)=('EVN')">(Multimediaembeddedcontent): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.10.9.2-2008-08-08T000000.html"
              test="count(hl7:value[not(@nullFlavor)])&gt;=1">(Multimediaembeddedcontent): element hl7:value[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.10.9.2-2008-08-08T000000.html"
              test="count(hl7:value[not(@nullFlavor)])&lt;=1">(Multimediaembeddedcontent): element hl7:value[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.10.9.2
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:component/hl7:observationMedia[@classCode = 'OBS'][@moodCode = 'EVN']/hl7:value[not(@nullFlavor)]
Item: (Multimediaembeddedcontent)
-->

   <rule context="*[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:component/hl7:observationMedia[@classCode = 'OBS'][@moodCode = 'EVN']/hl7:value[not(@nullFlavor)]"
         id="d3435e50-false-d3470e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.10.9.2-2008-08-08T000000.html"
              test="@mediaType">(Multimediaembeddedcontent): attribute @mediaType MOET aanwezig zijn.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@mediaType),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@mediaType,' ') return if ($code=('image/gif','image/jpeg','image/png','image/bmp')) then ($code) else ())"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.10.9.2-2008-08-08T000000.html"
              test="not(@mediaType) or count($theAttValue) = count($theAttCheck)">(Multimediaembeddedcontent): de waarde van mediaType MOET 'code image/gif of code image/jpeg of code image/png of code image/bmp' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.10.9.2-2008-08-08T000000.html"
              test="string(@representation)=('B64')">(Multimediaembeddedcontent): de waarde van @representation MOET 'B64' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.5
Context: *[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:component[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.20.1.40'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.2']]]
Item: (LaboratoryIsolateOrganizer)
-->
   <rule context="*[hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]]/hl7:organizer[@classCode = 'CLUSTER'][@moodCode = 'EVN'][hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.1.5']]/hl7:component[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.20.1.40'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.2']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(LaboratoryIsolateOrganizer): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>
</pattern>
