<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.3.10.17
Name: packyears
Description: Template voor de weergave van packyears (TabakGebruik)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.3.10.17-2017-08-02T000000">
   <title>packyears</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.17
Context: *[hl7:observation[@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.17']]]
Item: (packyears)
-->

   <rule context="*[hl7:observation[@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.17']]]"
         id="d13e14286-false-d34900e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.17-2017-08-02T000000.html"
              test="count(hl7:observation[@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.17']])&lt;=1">(packyears): element hl7:observation[@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.17']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.17
Context: *[hl7:observation[@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.17']]]/hl7:observation[@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.17']]
Item: (packyears)
-->

   <rule context="*[hl7:observation[@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.17']]]/hl7:observation[@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.17']]"
         id="d13e14312-false-d34915e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.17-2017-08-02T000000.html"
              test="string(@classCode)=('OBS') or not(@classCode)">(packyears): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.17-2017-08-02T000000.html"
              test="string(@moodCode)=('EVN')">(packyears): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.17-2017-08-02T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.17'])&gt;=1">(packyears): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.17'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.17-2017-08-02T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.17'])&lt;=1">(packyears): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.17'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.17-2017-08-02T000000.html"
              test="count(hl7:code[(@code = '401201003' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor])&gt;=1">(packyears): element hl7:code[(@code = '401201003' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.17-2017-08-02T000000.html"
              test="count(hl7:code[(@code = '401201003' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor])&lt;=1">(packyears): element hl7:code[(@code = '401201003' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.17-2017-08-02T000000.html"
              test="count(hl7:value)&lt;=1">(packyears): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.17
Context: *[hl7:observation[@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.17']]]/hl7:observation[@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.17']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.17']
Item: (packyears)
-->

   <rule context="*[hl7:observation[@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.17']]]/hl7:observation[@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.17']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.17']"
         id="d13e14318-false-d34963e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.17-2017-08-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(packyears): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.17-2017-08-02T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.3.10.17')">(packyears): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.3.10.17' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.17
Context: *[hl7:observation[@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.17']]]/hl7:observation[@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.17']]/hl7:id
Item: (packyears)
-->

   <rule context="*[hl7:observation[@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.17']]]/hl7:observation[@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.17']]/hl7:id"
         id="d13e14323-false-d34979e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.17-2017-08-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(packyears): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.17-2017-08-02T000000.html"
              test="@root and @extension">(packyears): 
                        <name path=".."/>/<name/> MOET een waarde in @root en @extension hebben</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.17
Context: *[hl7:observation[@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.17']]]/hl7:observation[@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.17']]/hl7:code[(@code = '401201003' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor]
Item: (packyears)
-->

   <rule context="*[hl7:observation[@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.17']]]/hl7:observation[@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.17']]/hl7:code[(@code = '401201003' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor]"
         id="d13e14341-false-d34991e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.17-2017-08-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(packyears): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.17-2017-08-02T000000.html"
              test="@nullFlavor or (@code='401201003' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Cigarette pack-years' and @codeSystemName='SNOMED CT')">(packyears): de elementwaarde MOET een zijn van 'code '401201003' codeSystem '2.16.840.1.113883.6.96' displayName='Cigarette pack-years' codeSystemName='SNOMED CT''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.17
Context: *[hl7:observation[@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.17']]]/hl7:observation[@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.17']]/hl7:value
Item: (packyears)
-->

   <rule context="*[hl7:observation[@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.17']]]/hl7:observation[@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.17']]/hl7:value"
         id="d13e14347-false-d35009e0">
      <extends rule="INT"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.17-2017-08-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(packyears): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:INT" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.17-2017-08-02T000000.html"
              test="not(@value) or matches(@value, '^-?[1-9]\d*$|^+?\d*$')">(packyears): @value is geen geldig INT getal <value-of select="@value"/>
      </assert>
   </rule>
</pattern>
