<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.7.10.3.86
Name: alert concern act
Description: Template voor weergave van allergieën en intoleranties
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.7.10.3.86-2018-04-10T000000">
   <title>alert concern act</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.7.10.3.86
Context: *[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86']]]
Item: (alert_concern_act)
-->

   <rule context="*[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86']]]"
         id="d13e23257-false-d263985e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.3.86-2018-04-10T000000.html"
              test="count(hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86']])&gt;=1">(alert_concern_act): element hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.3.86-2018-04-10T000000.html"
              test="count(hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86']])&lt;=1">(alert_concern_act): element hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.7.10.3.86
Context: *[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86']]]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86']]
Item: (alert_concern_act)
-->

   <rule context="*[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86']]]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86']]"
         id="d13e23288-false-d264055e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.3.86-2018-04-10T000000.html"
              test="string(@classCode)=('ACT')">(alert_concern_act): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.3.86-2018-04-10T000000.html"
              test="string(@moodCode)=('EVN')">(alert_concern_act): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.3.86-2018-04-10T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86'])&gt;=1">(alert_concern_act): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.3.86-2018-04-10T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86'])&lt;=1">(alert_concern_act): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.3.86-2018-04-10T000000.html"
              test="count(hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')])&gt;=1">(alert_concern_act): element hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.3.86-2018-04-10T000000.html"
              test="count(hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')])&lt;=1">(alert_concern_act): element hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.3.86-2018-04-10T000000.html"
              test="count(hl7:statusCode[@code = 'code'])&lt;=1">(alert_concern_act): element hl7:statusCode[@code = 'code'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.3.86-2018-04-10T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(alert_concern_act): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.3.86-2018-04-10T000000.html"
              test="count(hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.3.9']]])&gt;=1">(alert_concern_act): element hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.3.9']]] is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.7.10.3.86
Context: *[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86']]]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86']
Item: (alert_concern_act)
-->

   <rule context="*[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86']]]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86']"
         id="d13e23305-false-d264147e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.3.86-2018-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(alert_concern_act): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.3.86-2018-04-10T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.7.10.3.86')">(alert_concern_act): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.7.10.3.86' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.7.10.3.86
Context: *[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86']]]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86']]/hl7:id
Item: (alert_concern_act)
-->

   <rule context="*[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86']]]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86']]/hl7:id"
         id="d13e23318-false-d264163e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.3.86-2018-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(alert_concern_act): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.7.10.3.86
Context: *[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86']]]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86']]/hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]
Item: (alert_concern_act)
-->

   <rule context="*[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86']]]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86']]/hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]"
         id="d13e23326-false-d264175e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.3.86-2018-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(alert_concern_act): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.3.86-2018-04-10T000000.html"
              test="@nullFlavor or (@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')">(alert_concern_act): de elementwaarde MOET een zijn van 'code 'CONC' codeSystem '2.16.840.1.113883.5.6''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.7.10.3.86
Context: *[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86']]]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86']]/hl7:statusCode[@code = 'code']
Item: (alert_concern_act)
-->

   <rule context="*[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86']]]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86']]/hl7:statusCode[@code = 'code']"
         id="d13e23336-false-d264193e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.3.86-2018-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(alert_concern_act): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.3.86-2018-04-10T000000.html"
              test="string(@code)=('code')">(alert_concern_act): de waarde van @code MOET 'code' zijn.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@code),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@code,' ') return if ($code=('active','completed')) then ($code) else ())"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.3.86-2018-04-10T000000.html"
              test="not(@code) or count($theAttValue) = count($theAttCheck)">(alert_concern_act): de waarde van code MOET 'code active of code completed' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.7.10.3.86
Context: *[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86']]]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86']]/hl7:effectiveTime
Item: (alert_concern_act)
-->

   <rule context="*[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86']]]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86']]/hl7:effectiveTime"
         id="d13e23351-false-d264225e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.3.86-2018-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(alert_concern_act): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.3.86-2018-04-10T000000.html"
              test="@low">(alert_concern_act): attribute @low MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.3.86-2018-04-10T000000.html"
              test="@high">(alert_concern_act): attribute @high MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.7.10.3.86
Context: *[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86']]]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86']]/hl7:author
Item: (alert_concern_act)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.7.10.3.86
Context: *[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86']]]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.3.9']]]
Item: (alert_concern_act)
-->
   <rule context="*[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86']]]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'][hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.3.86']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.3.9']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20180509T190557/tmp-2.16.840.1.113883.2.4.3.11.60.7.10.3.86-2018-04-10T000000.html"
              test="string(@typeCode)=('SUBJ')">(alert_concern_act): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>
</pattern>
